import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

public class RadnaOrganizacija {
	private Radnik[] radnici;
	
	public RadnaOrganizacija(String imeFajla) 
		throws IOException
	{
		BufferedReader br = new BufferedReader(
			new FileReader(imeFajla));
		
		int brRadnika = Integer.parseInt(br.readLine());
		radnici = new Radnik[brRadnika];
		
		for (int i = 0; i < brRadnika; i++) {
			String[] s = br.readLine().split(",");
			String ime = s[0].trim();
			int radniStaz = Integer.parseInt(s[1].trim());
			
			if (s.length == 3) {
				int brPodredjenih = Integer.parseInt(s[2].trim());
				radnici[i] = new Rukovodilac(ime, radniStaz, brPodredjenih);
			} else {
				radnici[i] = new Radnik(ime, radniStaz);
			}
		}
		
		br.close();
	}
	
	public double prosecnaPlataRukovodilaca(int brPodredjenih) {
		double sum = 0.0;
		int num = 0;
		
		for (int i = 0; i < radnici.length; i++) {
			if (radnici[i] instanceof Rukovodilac) {
				Rukovodilac r = (Rukovodilac) radnici[i];
				if (r.getBrPodredjenih() >= brPodredjenih) {
					System.out.println(r);
					sum += r.plata();
					num++;
				}
			}
		}
		
		return num == 0 ? Double.NaN : sum / num;
	}
	
}
