import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class SkolaJezika {

	private Kurs[] kursevi;

	public SkolaJezika(String fajl) throws IOException {
		BufferedReader in = new BufferedReader(new InputStreamReader(getClass().getResourceAsStream(fajl)));
		int brojKurseva = Integer.parseInt(in.readLine().trim());
		kursevi = new Kurs[brojKurseva];
		for (int i = 0; i < brojKurseva; i++) {
			String[] elementiLinije = in.readLine().split(",");
			kursevi[i] = new Kurs(elementiLinije[0].trim(), elementiLinije[1].trim(),
					Integer.parseInt(elementiLinije[2].trim()));
		}
		in.close();
	}

	String najnaprednijiJezik() {
		Kurs najnaprednijiJezik = null;
		for (int i = 0; i < kursevi.length; i++) {
			if (najnaprednijiJezik == null || (kursevi[i].getNivo().equals("napredni")
					&& kursevi[i].getBrojPolaznika() > najnaprednijiJezik.getBrojPolaznika())) {
				najnaprednijiJezik = kursevi[i];
			}
		}
		return najnaprednijiJezik == null ? "ne postoji" : najnaprednijiJezik.getJezik();
	}

	void unaprediGrupu(String jezik, String nivo) {
		String noviNivo = null;
		if (nivo == "osnovni") {
			noviNivo = "srednji";
		} else if (nivo == "srednji") {
			noviNivo = "napredni";
		} else {
			return;
		}
		boolean postojiNapredniji = false;
		boolean unapredjenKurs = false;
		for (int i = 0; i < kursevi.length; i++) {
			if (kursevi[i].getJezik().equals(jezik)) {
				if (kursevi[i].getNivo().equals(noviNivo)) {
					postojiNapredniji = true;
				}
				if (kursevi[i].getNivo().equals(nivo)) {
					kursevi[i].setNivo(noviNivo);
					unapredjenKurs = true;
				}
			}
		}
		if (postojiNapredniji && unapredjenKurs) {
			System.out.println("Potrebno je spojiti grupe za " + jezik + " jezik, " + noviNivo + " nivo.");
		}
	}

}
