import java.io.BufferedReader;
import java.io.IOException;
import java.io.FileReader;

public class Generacija {

	private Student[] studenti;
	
	public Generacija(String inputFile) 
		throws IOException
	{
		BufferedReader br = new BufferedReader(new FileReader(inputFile));
		
		int brojStudenata = Integer.parseInt(br.readLine());
		studenti = new Student[brojStudenata];
		
		for (int i = 0; i < brojStudenata; i++) {
			String linija = br.readLine();
			String[] s = linija.split(",");
			String ime = s[0].trim();
			double prosek = Double.parseDouble(s[1].trim());
			String departman = s[2].trim();
			
			studenti[i] = new Student(ime, prosek, departman);
		}
		
		br.close();
	}
	
	public void nagrade(String departman) {
		int brojac = 0;
		
		System.out.println("Nagradjeni studenti na departmanu " + departman);
		
		for (int i = 0; i < studenti.length; i++) {
			Student s = studenti[i];
			if (s.getDepartman().compareTo(departman) == 0) {
				if (s.dobijaNagradu()) {
					System.out.println(s);
					brojac++;
				}
			}
		}
			
		System.out.println("Ukupno nagrada: " + brojac);
	}
	
	public Student najboljiNaDepartmanu(String departman) {
		Student najbolji = null;
	
		for (int i = 0; i < studenti.length; i++) {
			Student s = studenti[i];
			if (s.getDepartman().compareTo(departman) == 0) {
				if (najbolji == null) {
					najbolji = s;
				} else {
					if (s.getProsek() > najbolji.getProsek()) {
						najbolji = s;
					}
				}
			}
		}
		
		return najbolji;
	}
}
